Subject: bug#32504: [PATCH] syntax-is-{comment|string}-p

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 00:05:11 +0200

Noam Postavsky <[email-masked]> writes:

> Alex Branham <[email-masked]> writes:
>
>> I got tired of checking/remembering whether (nth 3 (syntax-ppss)) was a
>> string or a comment, so I've created two simple functions that wrap that
>> in a more descriptive name. I've noticed that there are a handful of
>> these that other modes have written, so evidently others wanted them as
>> well at some point.
>
> What about syntax-ppss-context in syntax.el?

I went ahead and documented it; if I read this thread right, it's
sufficient for the use case presented.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no